%define base_name	kde-styles-windeco
%define theme_name	crystal
%define name		%base_name-%theme_name
%define kdeid		13969

Name: %name
Version: 1.0.1
Release: alt1

Group: Graphical desktop/KDE
Summary: Crystal style for KDE
License: GPL
Url: http://kde-look.org/content/show.php?content=%kdeid

Provides: kde-styles-widgets-crystal
Conflicts: kde-styles-widgets-crystal

Source: %kdeid-%theme_name-%version.tar.bz2
Patch0: %base_name-%theme_name-alt-automake.patch

# Automatically added by buildreq on Thu Sep 01 2005
BuildRequires: gcc-c++ kdebase-devel kdebase-wm kdelibs-devel libjpeg-devel libpng-devel
BuildRequires: libqt3-devel libqt3-settings libstdc++-devel zlib-devel
%description

This is the Crystal KDE Windowdecoration Theme. The theme
is pretty simple and clean, but has very nice pseudo
transparency within the border and the title bar. You can
choose of other image effects too.


%prep
%setup -q -n %theme_name-%version
%patch0 -p1

%build
export CFLAGS="%optflags" CPPFLAGS="%optflags" CXXFLAGS="%optflags"

%make -f Makefile.cvs

%configure \
    --disable-debug \
    --disable-rpath \
    --without-arts

%make_build
	    
%install
%makeinstall

%files
%doc README INSTALL AUTHORS
%_libdir/kde3/*.la
%_libdir/kde3/*.so
%_datadir/apps/kwin/*.desktop

%changelog
* Mon Jun 26 2006 Stanislav Yadykin <tosick@altlinux.ru> 1.0.1-alt1
- 1.0.1
- package renamed

* Thu Mar 30 2006 Stanislav Yadykin <tosick@altlinux.ru> 1.0.0-alt2
- build for Sisyphus


